Outbound Messages
Get Outbound Message
Returns the specified Outbound Message information.
AuthorizationBasic <token>
Basic Authorization header using the BASIC scheme. Use a pair companySid:token to access the API.
In: header
Path Parameters
sid*string
Outbound Message Sid.
Match
^(OM|RO)[0-9a-f]{48}$Query Parameters
IncludeFees?boolean
If true, fees are included into the result.
IncludeConversationMetadata?boolean
If true, conversation metadata is included into the result.
Response Body
curl -X GET "https://example.com/v1/OutboundMessages/string"{ "sid": "OM08d9704f044a2fa13d3faa216fcf4574b64b19be32626243", "from": "+12145678900", "to": "+19876543210", "recipients": [ { "to": "+19876543210", "carrier": "string" } ], "createdOn": "2023-09-09T15:00:00.000Z", "sentOn": "2023-09-09T15:00:00.000Z", "text": "string", "carrier": "string", "status": "Queued", "errorCode": 0, "errorDescription": "string", "callbackUrlOverride": "string", "segmentCount": 0, "mediaUrls": null, "expiresOn": "2025-06-01T15:00:00Z", "conversationMetadata": "string", "fees": { "platformFees": [ { "count": 0, "feePerUnit": 0, "total": 0 } ], "passThroughFees": [ { "count": 0, "feePerUnit": 0, "total": 0 } ] }, "dcaStatus": { "providerId": 0, "code": "string", "name": "string", "description": "string" }, "priority": "Low", "brandSid": "string", "campaignSid": "string", "messagingConfigSid": "string"}{ "errors": { "Name": [ "The Name field is required." ] }, "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1", "title": "One or more validation errors occurred.", "status": 400, "detail": "Some detailed message", "traceId": "|4ef17786-b103-420e-89c0-cc425ac14809.edfcbee9_"}{ "type": "https://tools.ietf.org/html/rfc7231#section-6.5.4", "title": "Not found", "status": 404, "detail": "Not found detailed message", "traceId": "|4ef17786-b103-420e-89c0-cc425ac14809.edfcbee9_"}List Outbound Messages GET
Gets the list of all Outbound Messages, optionally filtered by parameters. This method supports pagination.
Submit RCS Outbound Events POST
Submits a batch of RCS outbound events for forwarding to the upstream provider. Up to 100 events can be submitted per request. The batch is accepted for asynchronous processing.